
%define _prefix /usr

Summary:		MyFinances - program for home bookkeeping
Name:			finances
Version:		0.16
Release:		%mkrel 2
License:		GPL
Group:			Finance
Source:			http://www.sksoft-gr.narod.ru/download/finances016-src.tar.gz
Source1:		%{name}.png
URL:			http://www.sksoft-gr.narod.ru/soft14.htm
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		gcc-c++
BuildRequires:		libqt4-devel >= 4.3
Requires:		task-qt4
Requires:		qt4-database-plugin-sqlite

%description
myFinances - program for home bookkeeping: budget receipts,
budget expenses, lending on credit. This to facilitate manage
expenses.


%debug_package

%prep
%setup -q -n Finances

%__chmod 644 src/doc/images/book.css


%build
qmake
%__make %{?jobs:-j%{jobs}}


%install
#%makeinstall

%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 src/bin/finances \
	%{buildroot}%{_bindir}

%__cat > %{name}-wrapper.sh << EOF
#!/bin/bash
mkdir -p \$HOME/myFinance

ln -sf /usr/share/myFinances/lang     \$HOME/myFinance
ln -sf /usr/share/myFinances/doc      \$HOME/myFinance

cp /usr/share/myFinances/qcashdata.db \$HOME/myFinance
cp /usr/share/myFinances/style.qss    \$HOME/myFinance

cp /usr/bin/finances                  \$HOME/myFinance

cd \$HOME/myFinance
./finances
EOF

%__install -m 755 %{name}-wrapper.sh %{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/myFinances
%__install -m 644 src/data/* %{buildroot}%{_datadir}/myFinances

%__install -dm 755 %{buildroot}%{_datadir}/myFinances/lang
%__install -m 644 src/lang/*.qm %{buildroot}%{_datadir}/myFinances/lang

%__cp -a src/doc %{buildroot}%{_datadir}/myFinances


# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps


# menu
#%__cat > %{name}.desktop << EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=MyFinances
GenericName=MyFinances
Comment=MyFinances - program for home bookkeeping
Exec=%{name}-wrapper.sh
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Finance;X-MandrivaLinux-MoreApplications-Finances
EOF


%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-wrapper.sh
%{_datadir}/myFinances
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png


%changelog
* Mon Jul 27 2009 pcserver <pcserver at hushmail.com> 0.16-2pclos2009
- add dependency

* Mon Jul 27 2009 pcserver <pcserver at hushmail.com> 0.16-1pclos2009
- create

